#include<stdio.h>

int main()
{
  int n, i, j;
  scanf("%d",&n);
  
  if(n<=0)
  {
    printf("-1\n");
    return ;
  }
  
  for(i=0; i<n; i++)
  {
    for(j=0; j<n; j++)
    {
      if(i+j == n-1 && !(i==0 && j==n-1))
	printf("*A");
      else if(i+j>=n && j!=n-1)
	printf("*A");
      else if(j==n-1)
	printf("*");
      else
	printf(" ");
    }
    printf("\n");
  }

  return 0;
}